## roxterm 2.8.1

=== debian/changelog ===
roxterm (2.8.1-1) unstable; urgency=low

  * Added dbg packages.
  * Recommends: dbus-x11.
  * Updated Standards-Version.
  * Support signature check in debian/watch.
  * New upstream version:
    + Use text instead of online SourceForge logo in HTML docs (privacy issue).
    + Fixed crashes/warnings when searching terminals.
    + More memory leak fixes in menus.
    + Don't support terminal background options deprecated by vte.

 -- Tony Houghton <h@realh.co.uk>  Tue, 14 Jan 2014 17:50:48 +0000

=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends: debhelper (>= 7.0.50),
    libgtk-3-dev, libvte-2.90-dev,
    libgtk2.0-dev (>=2.18), libvte-dev,
    libsm-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl,
    python, python-lockfile, libtool,
    gettext, po4a
Standards-Version: 3.9.5
Homepage: http://roxterm.sourceforge.net/
Vcs-Git: git://git.code.sf.net/p/roxterm/code
Vcs-Browser: https://sourceforge.net/p/roxterm/code/

Package: roxterm-common
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm (<< 2.0.0-1)
Breaks: roxterm (<< 2.0.0-1)
Recommends: roxterm-gtk3 | roxterm-gtk2, openssh-client, dbus-x11
Description: Multi-tabbed GTK+/VTE terminal emulator - common files
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package contains files used by both the GTK+2 (roxterm-gtk2) and
 GTK+3 (roxterm-gtk3) versions.

Package: roxterm-gtk3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
    roxterm-common (= ${source:Version})
Conflicts: roxterm-gtk2
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - GTK3 version
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package provides the GTK+3 version of the binaries. The roxterm-gtk2
 package provides a GTK+2 version.

Package: roxterm-gtk2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
    roxterm-common (= ${source:Version})
Conflicts: roxterm-gtk3
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - GTK2 version
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package provides the GTK+2 version of the binaries. The roxterm-gtk3
 package provides a GTK+3 version.

Package: roxterm-gtk3-dbg
Architecture: any
Depends: roxterm-gtk3 (= ${binary:Version}), ${misc:Depends}
Conflicts: roxterm-gtk2-dbg
Section: debug
Priority: extra
Description: Debugging symbols for GTK3 version of roxterm
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package provides debugging symbols for the GTK+3 version of roxterm.

Package: roxterm-gtk2-dbg
Architecture: any
Depends: roxterm-gtk2 (= ${binary:Version}), ${misc:Depends}
Conflicts: roxterm-gtk3-dbg
Section: debug
Priority: extra
Description: Debugging symbols for GTK2 version of roxterm
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This package provides debugging symbols for the GTK+2 version of roxterm.

Package: roxterm
Architecture: all
Depends: ${misc:Depends}, roxterm-gtk3 (>= ${source:Version})
Description: Multi-tabbed GTK+/VTE terminal emulator - virtual package for GTK3
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users.
 .
 This is a virtual package to ease upgrade to roxterm-gtk3. Install
 roxterm-gtk2 instead if you want to stick with GTK+2.

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(wildcard .git),.git)
CONFIGURE_GIT =
else
CONFIGURE_GIT = --disable-git
endif
# Split this up a bit to avoid long lines
CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
CONFIGURE_LDFLAGS = LDFLAGS=-Wl,--as-needed
CONFIGURE_DIRS = PREFIX=/usr
CONFIGURE_TRANS = --enable-translations
CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) $(CONFIGURE_GIT)
CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
MSCRIPT_OPTS = --lock-top
COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'
DIRS_GTK2 = --build-dir=debian/build-gtk2 $(COMMON_DIRS)
DIRS_GTK3 = --build-dir=debian/build-gtk3 $(COMMON_DIRS)
CFLAGS = $(shell dpkg-buildflags | grep '^CFLAGS=')
CPPFLAGS = $(shell dpkg-buildflags | grep '^CPPFLAGS=')
LDFLAGS = $(shell dpkg-buildflags | grep '^LDFLAGS=') -Wl,--as-needed

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONFIGURE_COMMON += --parallel=$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_configure:
	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
		 --disable-gtk3 $(DIRS_GTK2) \
		 "$(CFLAGS)" "$(CPPFLAGS)" "$(LDFLAGS)"
	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
		--enable-gtk3 $(DIRS_GTK3) \
		 "$(CFLAGS)" "$(CPPFLAGS)" "$(LDFLAGS)"

override_dh_auto_build:
	python mscript.py build $(MSCRIPT_OPTS) $(DIRS_GTK2)
	python mscript.py build $(MSCRIPT_OPTS) $(DIRS_GTK3)

override_dh_auto_install:
	python mscript.py install $(MSCRIPT_OPTS) $(DIRS_GTK3) --destdir=../tmp

override_dh_install:
	dh_install
	install -d debian/roxterm-gtk2/usr/bin
	libtool --mode=install install debian/build-gtk2/roxterm \
		debian/build-gtk2/roxterm-config \
		`pwd`/debian/roxterm-gtk2/usr/bin
	dh_install -proxterm-common debian/roxterm.xpm usr/share/pixmaps/

override_dh_auto_test:

override_dh_auto_clean:
	python mscript.py clean $(MSCRIPT_OPTS) $(DIRS_GTK3)
	rm -rf debian/build-gtk2 debian/build-gtk3
	rm -f maitch.py[co]

override_dh_strip:
	dh_strip -proxterm-gtk2 --dbg-package=roxterm-gtk2-dbg
	dh_strip -proxterm-gtk3 --dbg-package=roxterm-gtk3-dbg

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sign/" http://sf.net/roxterm/roxterm-(.*)\.tar\.(?:gz|bz2)

## roxterm 2.8.2

=== debian/changelog ===
roxterm (2.8.2-1) unstable; urgency=medium

  * Re-enabled deprecated background options for now.

 -- Tony Houghton <h@realh.co.uk>  Sat, 15 Feb 2014 14:30:06 +0000

## roxterm 2.9.3

=== debian/changelog ===
roxterm (2.9.3-1) unstable; urgency=low

  * Applied wrap-and-sort.
  * Shortened one-line description of roxterm virtual package.
  * Update debhelper compatibility to 9.
  * Allow package to be built repeatedly from same unpacked source:
    + mscript.py, maitch.py: Better at preventing files such as *.po/*.pot
      being needlessly updated with timestamps etc
  * Changed default GTK colour scheme:
    + Make bold black (LP: #1340721).
    + Don't set cursor colour due to
      <https://bugzilla.gnome.org/show_bug.cgi?id=695011>.
  * Add support for launching ssh from matching URIs
    (based on a patch by Karl E. Jorgensen).
  * Support popular SCM URIs (copy to clipboard only).
  * Fixed background transparency support for recent versions of vte.
  * Don't crash trying to use a copy of an empty profile (Closes: #752253).
  * Allow Shortcuts files to be reloaded and edited as text.
  * Override --tab to false if no match for --title.
  * debian/control: Added Build-Depends on imagemagick, itstool.
  * debian/copyright: Updated year.
  * Support XDG AppData spec.
  * Corrected profile editor page selection when background options
    are disabled (doesn't affect Debian).
  * Changed keyboard shortcut for Find Next to avoid clash with New Window.
  * Fixed wrapping of some dialog labels.
  * Exclude logo source xcf (gimp) file from installation.
  * Added GTK & VTE version summary to About dialog.

 -- Tony Houghton <h@realh.co.uk>  Fri, 08 Aug 2014 15:16:13 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,23 @@
 Section: x11
 Priority: optional
 Maintainer: Tony Houghton <h@realh.co.uk>
-Build-Depends: debhelper (>= 7.0.50),
-    libgtk-3-dev, libvte-2.90-dev,
-    libgtk2.0-dev (>=2.18), libvte-dev,
-    libsm-dev, libdbus-glib-1-dev, xsltproc, docbook-xsl,
-    python, python-lockfile, libtool,
-    gettext, po4a
+Build-Depends:
+ debhelper (>= 9),
+ docbook-xsl,
+ gettext,
+ graphicsmagick-imagemagick-compat | imagemagick,
+ itstool,
+ libdbus-glib-1-dev,
+ libgtk-3-dev,
+ libgtk2.0-dev (>=2.18),
+ libsm-dev,
+ libtool,
+ libvte-2.90-dev,
+ libvte-dev,
+ po4a,
+ python,
+ python-lockfile,
+ xsltproc
 Standards-Version: 3.9.5
 Homepage: http://roxterm.sourceforge.net/
 Vcs-Git: git://git.code.sf.net/p/roxterm/code
@@ -18,7 +29,7 @@
 Depends: ${misc:Depends}
 Replaces: roxterm (<< 2.0.0-1)
 Breaks: roxterm (<< 2.0.0-1)
-Recommends: roxterm-gtk3 | roxterm-gtk2, openssh-client, dbus-x11
+Recommends: dbus-x11, openssh-client, roxterm-gtk3 | roxterm-gtk2
 Description: Multi-tabbed GTK+/VTE terminal emulator - common files
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
@@ -29,8 +40,11 @@
 
 Package: roxterm-gtk3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
-    roxterm-common (= ${source:Version})
+Depends:
+ librsvg2-common,
+ roxterm-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Conflicts: roxterm-gtk2
 Provides: x-terminal-emulator
 Description: Multi-tabbed GTK+/VTE terminal emulator - GTK3 version
@@ -43,8 +57,11 @@
 
 Package: roxterm-gtk2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common,
-    roxterm-common (= ${source:Version})
+Depends:
+ librsvg2-common,
+ roxterm-common (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Conflicts: roxterm-gtk3
 Provides: x-terminal-emulator
 Description: Multi-tabbed GTK+/VTE terminal emulator - GTK2 version
@@ -83,8 +100,8 @@
 
 Package: roxterm
 Architecture: all
-Depends: ${misc:Depends}, roxterm-gtk3 (>= ${source:Version})
-Description: Multi-tabbed GTK+/VTE terminal emulator - virtual package for GTK3
+Depends: roxterm-gtk3 (>= ${source:Version}), ${misc:Depends}
+Description: Virtual package for roxterm-gtk3
  ROXTerm is a terminal emulator based on the VTE library. It was originally
  intended to be a lightweight alternative to gnome-terminal, but its role has
  shifted to providing a richer range of features for power users.

## roxterm 2.9.5

=== debian/changelog ===
roxterm (2.9.5-1) unstable; urgency=medium

  * Recognise _NET_WM_DESKTOP special value 0xffffffff correctly.
  * Don't crash if EDITOR env variable is unset when editing shortcuts
    (Closes: #771022).

 -- Tony Houghton <h@realh.co.uk>  Fri, 28 Nov 2014 18:20:06 +0000

roxterm (2.9.4-1) unstable; urgency=low

  * Fixed metadata_license and non-default screenshot in appdata.
  * debian/control Build-Depends:
    + Added libtool-bin (Closes: #761785).
    + Added librsvg2-bin.
    + Removed graphicsmagick option:- it can't create favicon.ico.

 -- Tony Houghton <h@realh.co.uk>  Wed, 17 Sep 2014 15:45:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  debhelper (>= 9),
  docbook-xsl,
  gettext,
- graphicsmagick-imagemagick-compat | imagemagick,
+ imagemagick,
  itstool,
  libdbus-glib-1-dev,
  libgtk-3-dev,
  libgtk2.0-dev (>=2.18),
+ librsvg2-bin,
  libsm-dev,
  libtool,
+ libtool-bin,
  libvte-2.90-dev,
  libvte-dev,
  po4a,

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 		 --disable-gtk3 $(DIRS_GTK2) \
 		 "$(CFLAGS)" "$(CPPFLAGS)" "$(LDFLAGS)"
 	python mscript.py configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
-		--enable-gtk3 $(DIRS_GTK3) \
+		--enable-gtk3 --enable-deprecated-bg-opts $(DIRS_GTK3) \
 		 "$(CFLAGS)" "$(CPPFLAGS)" "$(LDFLAGS)"
 
 override_dh_auto_build:

## roxterm 3.1.4

=== debian/changelog ===
roxterm (3.1.4-2) unstable; urgency=high

  * Fixed target package of roxterm.xpm (Closes: #795529, #795551).

 -- Tony Houghton <h@realh.co.uk>  Sat, 15 Aug 2015 15:47:37 +0100

roxterm (3.1.4-1) unstable; urgency=medium

  * Make --fork wait until dbus service name has been acquired.
  * Fixed child-exited signal handler for vte-2.91's new signature.
  * Support named user sessions.
  * Removed profile option for initial number of tabs.
  * Updated roxterm.svg's and roxterm.appdata.xml.in's licence and
    copyright (Closes: #795217).
  * debian/control: Changed descriptions and dependencies of dummy
    packages to prevent lintian warnings.
  * Added lintian overrides for warnings about dummy dbg packages.

 -- Tony Houghton <h@realh.co.uk>  Thu, 13 Aug 2015 18:12:30 +0100

roxterm (3.0.2-1) unstable; urgency=medium

  * Fixed crash when dragging a tab from one window to another.
  * Added note about python 2-3 migration to news.html.

 -- Tony Houghton <h@realh.co.uk>  Sun, 12 Jul 2015 14:11:47 +0100

roxterm (3.0.1-1) unstable; urgency=medium

  * Force python build script to use utf8 when processing certain files.
  * Rearranged Tabs profile editor page.
  * debian/source/options: Ignore build-time changes to po and pot files.
  * debian:rules: Use dpkg-buildflags --get, and correct passing of flags to
    mscript.py configure.
  * Updated Standards-Version to 3.9.6.
  * Build uses python3 (updated Build-Depends accordingly).
  * Upstream tarball now uses .xz compression.
  * Added Select All menu item.
  * Allow unlimited scrollback lines.
  * Fixed some unsafe uses of sprintf.
  * Provide option to rewrap text when terminal width changes.
  * Drop support for GTK2 etc (Closes: #790183).
  * Replaced many calls to deprecated library functions.
  * Reorganized surviving binary packages.
  * Use vte-2.91 API (Closes: #788028).
  * Fixed colour/shortcut shceme CLI switch clash.
  * Fixed --tab aiming to target most recently focused window.
  * debian/copyright: Added .ycm_extra_conf.py.in.
  * Fade text in unselected tabs.
  * Fix maximise and full screen buttons in profile.

 -- Tony Houghton <h@realh.co.uk>  Thu, 09 Jul 2015 15:41:46 +0100

=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends:
 debhelper (>= 9),
 docbook-xsl,
 gettext,
 imagemagick,
 itstool,
 libdbus-glib-1-dev,
 libgtk-3-dev,
 librsvg2-bin,
 libsm-dev,
 libtool,
 libtool-bin,
 libvte-2.91-dev,
 po4a,
 python3,
 python3-lockfile,
 xsltproc
Standards-Version: 3.9.6
Homepage: http://roxterm.sourceforge.net/
Vcs-Git: git://git.code.sf.net/p/roxterm/code
Vcs-Browser: https://sourceforge.net/p/roxterm/code/

Package: roxterm-data
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm-common
Breaks: roxterm-common (<< 3.0.0)
Recommends: dbus-x11, openssh-client, roxterm
Description: Multi-tabbed GTK+/VTE terminal emulator - data files
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains ROXTerm's data files.

Package: roxterm
Architecture: any
Depends:
 librsvg2-common,
 roxterm-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Breaks: roxterm-gtk3 (<< 3.0.0), roxterm-gtk2 (<< 3.0.0)
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - binaries
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the compiled programs for ROXTerm.

Package: roxterm-dbg
Architecture: any
Depends: roxterm (= ${binary:Version}), ${misc:Depends}
Replaces: roxterm-gtk3-dbg (<< 3.0.0), roxterm-gtk2-dbg (<< 3.0.0)
Breaks: roxterm-gtk3-dbg (<< 3.0.0), roxterm-gtk2-dbg (<< 3.0.0)
Section: debug
Priority: extra
Description: Debugging symbols for roxterm
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the debugging symbols for ROXTerm.

Package: roxterm-gtk3
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm (>= ${source:Version}), ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk3 to roxterm
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk3 2.x
 to roxterm 3.x, due to a change in the packaging structure. It may be removed
 once the roxterm 3.x package is installed, but consider also explicitly
 installing roxterm to prevent its accidental removal by autoremove.

Package: roxterm-gtk3-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm-dbg (>= ${source:Version}),
 roxterm-gtk3 (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk3-dbg to roxterm-dbg
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk3-dbg
 2.x to roxterm-dbg 3.x, due to a change in the packaging structure. It may be
 removed once the roxterm-dbg 3.x package is installed, but consider also
 explicitly installing roxterm-dbg to prevent its accidental removal by
 autoremove.

Package: roxterm-gtk2
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm (>= ${source:Version}), ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk2 to roxterm
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk2 2.x
 to roxterm 3.x, due to a change in the packaging structure. The GTK2 build is
 no longer supported, so if you want to continue using that you will have to
 pin an older version.

Package: roxterm-gtk2-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: roxterm-dbg (>= ${source:Version}),
 roxterm-gtk2 (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional package to upgrade roxterm-gtk2-dbg to roxterm-dbg
 This is a dummy package to facilitate automatic upgrades from roxterm-gtk2-dbg
 2.x to roxterm-dbg 3.x, due to a change in the packaging structure. The GTK2
 build is no longer supported, so if you want to continue using that you will
 have to pin an older version.

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(wildcard .git),.git)
CONFIGURE_GIT =
else
CONFIGURE_GIT = --disable-git
endif
CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
# Split this up a bit to avoid long lines
CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
CONFIGURE_DIRS = PREFIX=/usr
CONFIGURE_TRANS = --enable-translations
CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) $(CONFIGURE_GIT)
CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
MSCRIPT_OPTS = --lock-top
COMMON_DIRS = --top-dir=../.. --src-dir='$${TOP_DIR}/src'
BUILD_DIRS = --build-dir=debian/build $(COMMON_DIRS)
MSCRIPT = python3 mscript.py

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONFIGURE_COMMON += --parallel=$(NUMJOBS)
endif

%:
	dh $@

override_dh_auto_configure:
	$(MSCRIPT) configure $(MSCRIPT_OPTS) $(CONFIGURE_COMMON) \
		$(BUILD_DIRS) CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_build:
	$(MSCRIPT) build $(MSCRIPT_OPTS) $(BUILD_DIRS)

override_dh_auto_install:
	$(MSCRIPT) install $(MSCRIPT_OPTS) $(BUILD_DIRS) --destdir=../tmp

override_dh_install:
	dh_install
	dh_install -proxterm-data debian/roxterm.xpm usr/share/pixmaps/

override_dh_auto_test:

override_dh_auto_clean:
	$(MSCRIPT) clean $(MSCRIPT_OPTS) $(BUILD_DIRS)
	rm -rf debian/build
	rm -f maitch.py[co]

override_dh_strip:
	dh_strip -proxterm --dbg-package=roxterm-dbg

## roxterm 3.3.2

=== debian/changelog ===
roxterm (3.3.2-1) unstable; urgency=medium

  * Removed debian/dirs to prevent creation of now empty /usr/share/pixmaps.
  * Build-Depends avoids buggy version of gettext (Closes: #809570).
  * debian/rules: Use --enable-nls instead of deprecated --enable-translations.
  * New upstream release:
    + Fixed ssh port number in config ui (upstream #120).
    + Fixed configure --disable-nls.
    + Update New Window/Tab With Profile submenus when profiles change
      (upstream #121).
    + Fade text and background colour labels along with buttons
      (Closes: #810016).
    + Documented shortcuts translation problem described by #809719.

 -- Tony Houghton <h@realh.co.uk>  Sat, 09 Jan 2016 14:00:02 +0000

roxterm (3.3.1-1) unstable; urgency=medium

  * New upstream version:
    + Use new vte API for checking URL matches.
    + Don't recalculate size in "window-resize" handler.
    + Fixed colour palette radio widget grouping.
    + Only warn about closing running shells if they have child processes.

 -- Tony Houghton <h@realh.co.uk>  Wed, 02 Dec 2015 16:08:42 +0000

roxterm (3.2.1-1) unstable; urgency=medium

  * New upstream version:
    + Use vte 0.40's new word char API (Closes: #798656).
  * Don't use deprecated debian menu system.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Oct 2015 13:12:11 +0000

roxterm (3.1.5-1) unstable; urgency=medium

  * Prevent --fork crashing on broken DBUS messages.

 -- Tony Houghton <h@realh.co.uk>  Thu, 20 Aug 2015 16:21:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper (>= 9),
  docbook-xsl,
- gettext,
+ gettext (>= 0.19.7-2) | gettext (<< 0.19.7),
  imagemagick,
  itstool,
  libdbus-glib-1-dev,
@@ -14,7 +14,7 @@
  libsm-dev,
  libtool,
  libtool-bin,
- libvte-2.91-dev,
+ libvte-2.91-dev (>= 0.40),
  po4a,
  python3,
  python3-lockfile,

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 CONFIGURE_GDA_PATH = /usr/share/gnome-control-center/default-apps
 CONFIGURE_GDA = --with-gnome-default-applications=$(CONFIGURE_GDA_PATH)
 CONFIGURE_DIRS = PREFIX=/usr
-CONFIGURE_TRANS = --enable-translations
+CONFIGURE_TRANS = --enable-nls
 CONFIGURE_MISC = $(CONFIGURE_DIRS) $(CONFIGURE_TRANS) $(CONFIGURE_GIT)
 CONFIGURE_COMMON = $(CONFIGURE_GDA) $(CONFIGURE_LDFLAGS) $(CONFIGURE_MISC)
 MSCRIPT_OPTS = --lock-top
@@ -39,10 +39,6 @@
 override_dh_auto_install:
 	$(MSCRIPT) install $(MSCRIPT_OPTS) $(BUILD_DIRS) --destdir=../tmp
 
-override_dh_install:
-	dh_install
-	dh_install -proxterm-data debian/roxterm.xpm usr/share/pixmaps/
-
 override_dh_auto_test:
 
 override_dh_auto_clean:

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sign/" http://sf.net/roxterm/roxterm-(.*)\.tar\.(?:gz|bz2|xz)

## roxterm 3.10.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(roxterm C)

include(FindPkgConfig)
include(GNUInstallDirs)

execute_process(COMMAND ${PROJECT_SOURCE_DIR}/version.sh
    OUTPUT_VARIABLE ROXTERM_VERSION)
execute_process(COMMAND date "+%Y-%m-%d"
    OUTPUT_VARIABLE ROXTERM_DATE)

set(APPINFO_VERSION "${ROXTERM_VERSION} ${ROXTERM_DATE}")
configure_file(${PROJECT_SOURCE_DIR}/AppInfo.xml.in
    ${PROJECT_SOURCE_DIR}/AppInfo.xml)
# metainfo should really be processed by i18n
configure_file(${PROJECT_SOURCE_DIR}/roxterm.metainfo.xml.in
    ${PROJECT_BINARY_DIR}/roxterm.metainfo.xml)
configure_file(${PROJECT_SOURCE_DIR}/roxterm.spec.in
    ${PROJECT_SOURCE_DIR}/roxterm.spec)
configure_file(${PROJECT_SOURCE_DIR}/roxterm.1.xml.in
    ${PROJECT_BINARY_DIR}/roxterm.1.xml)
configure_file(${PROJECT_SOURCE_DIR}/roxterm-config.1.xml.in
    ${PROJECT_BINARY_DIR}/roxterm-config.1.xml)

add_subdirectory(src)

install(FILES src/icons/roxterm.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)

install(DIRECTORY Config
    DESTINATION ${CMAKE_INSTALL_DATADIR}/roxterm)

install(DIRECTORY docs/
    DESTINATION ${CMAKE_INSTALL_DOCDIR})

find_program(XSLTPROC xsltproc)
if (NOT "${XSLTPROC}" EQUAL "XSLTPROC-NOTFOUND")
    set(XSLTPROC_OPTIONS --novalid --param man.charmap.use.subset 0
        http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl)
    add_custom_command(OUTPUT roxterm.1
        COMMAND ${XSLTPROC} -o roxterm.1 ${XSLTPROC_OPTIONS}
            ${PROJECT_BINARY_DIR}/roxterm.1.xml
        MAIN_DEPENDENCY ${PROJECT_BINARY_DIR}/roxterm.1.xml
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    add_custom_command(OUTPUT roxterm-config.1
        COMMAND ${XSLTPROC} -o roxterm-config.1 ${XSLTPROC_OPTIONS}
            ${PROJECT_BINARY_DIR}/roxterm-config.1.xml
        MAIN_DEPENDENCY ${PROJECT_BINARY_DIR}/roxterm-config.1.xml
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    add_custom_target(manpages ALL
        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/roxterm.1
            ${CMAKE_CURRENT_BINARY_DIR}/roxterm-config.1)
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/roxterm.1
        ${CMAKE_CURRENT_BINARY_DIR}/roxterm-config.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1) 
else ()
    message(WARNING "xsltproc not found, man pages will not be generated")
endif ()

install(FILES roxterm.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/roxterm.metainfo.xml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)


# It would be nice if we could use cmake -E tar here, but it doesn't support
# any of the -- options needed here.
set(ROXTERM_PACKAGE_NAME "${CMAKE_PROJECT_NAME}-${ROXTERM_VERSION}")
set(TARBALL_NAME "${ROXTERM_PACKAGE_NAME}.tar.xz")
add_custom_command(OUTPUT "${TARBALL_NAME}"
    COMMAND tar cfJ
    "${TARBALL_NAME}"
    "--directory=${PROJECT_SOURCE_DIR}"
    "--transform=s,^,${CMAKE_PROJECT_NAME}-${ROXTERM_VERSION}/,"
    "--exclude=*~"
    AppInfo.xml
    AppInfo.xml.in
    AppRun
    AUTHORS
    CMakeLists.txt
    Config
    COPYING
    COPYING-LGPL
    docs
    INSTALL
    INSTALL.Debian
    mkycmflags
    NEWS
    README
    README.md
    README.translations
    roxterm.1.xml.in
    roxterm.metainfo.xml.in
    roxterm-config.1.xml.in
    roxterm.desktop
    roxterm.lsm.in
    roxterm.spec
    roxterm.spec.in
    roxterm.xml
    src
    version
    version.sh)
add_custom_target(dist DEPENDS "${TARBALL_NAME}")

=== src/CMakeLists.txt ===
include(CheckSymbolExists)

# roxterm and roxterm-config both depend on these
pkg_check_modules(RTCOMMON REQUIRED
    gtk+-3.0>=3.20.0 dbus-1>=1.0 dbus-glib-1>=0.22)

# roxterm-config needs to export symbols so GtkBuilder can find signal handlers
pkg_check_modules(GMODULE_EXPORT REQUIRED gmodule-export-2.0)

# roxterm also now uses gmodule, but doesn't need to export its symbols
pkg_check_modules(GMODULE REQUIRED gmodule-no-export-2.0)

# If VTE >= 0.50 this should include the necessary flags for libpcre
pkg_check_modules(VTE REQUIRED vte-2.91>=0.52)

set(RTLIB_CFLAGS ${RTCOMMON_CFLAGS})
if(RTLIB_CFLAG MATCHES ";")
    list(REMOVE_DUPLICATES RTLIB_CFLAG)
endif()
set(RTLIB_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER})
if(RTLIB_CFLAGS_OTHER MATCHES ";")
    list(REMOVE_DUPLICATES RTLIB_CFLAGS_OTHER)
endif()
set(RTLIB_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS})
if(RTLIB_INCLUDE_DIRS MATCHES ";")
    list(REMOVE_DUPLICATES RTLIB_INCLUDE_DIRS)
endif()
set(RTLIB_LIBRARIES ${RTCOMMON_LIBRARIES})
if(RTLIB_LIBRARIES MATCHES ";")
    list(REMOVE_DUPLICATES RTLIB_LIBRARIES)
endif()
set(RTLIB_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS})
if(RTLIB_LIBRARY_DIRS MATCHES ";")
    list(REMOVE_DUPLICATES RTLIB_LIBRARY_DIRS)
endif()
set(RTLIB_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER})
if(RTLIB_LDFLAGS_OTHER MATCHES ";")
    list(REMOVE_DUPLICATES RTLIB_LDFLAGS_OTHER)
endif()

set(RTMAIN_CFLAGS ${RTCOMMON_CFLAGS}
    ${GMODULE_CFLAGS} ${VTE_CFLAGS})
if(RTMAIN_CFLAGS MATCHES ";")
    list(REMOVE_DUPLICATES RTMAIN_CFLAGS)
endif()
set(RTMAIN_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER}
    ${GMODULE_CFLAGS_OTHER} ${VTE_CFLAGS_OTHER})
if(RTMAIN_CFLAGS_OTHER MATCHES ";")
    list(REMOVE_DUPLICATES RTMAIN_CFLAGS_OTHER)
endif()
set(RTMAIN_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS}
    ${GMODULE_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
if(RTMAIN_INCLUDE_DIRS MATCHES ";")
    list(REMOVE_DUPLICATES RTMAIN_INCLUDE_DIRS)
endif()
set(RTMAIN_LIBRARIES ${RTCOMMON_LIBRARIES}
    ${GMODULE_LIBRARIES} ${VTE_LIBRARIES})
if(RTMAIN_LIBRARIES MATCHES ";")
    list(REMOVE_DUPLICATES RTMAIN_LIBRARIES)
endif()
set(RTMAIN_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS}
    ${GMODULE_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
if(RTMAIN_LIBRARY_DIRS MATCHES ";")
    list(REMOVE_DUPLICATES RTMAIN_LIBRARY_DIRS)
endif()
set(RTMAIN_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER}
    ${GMODULE_DFLAGS_OTHER} ${VTE_DFLAGS_OTHER})
if(RTMAIN_LDFLAGS_OTHER MATCHES ";")
    list(REMOVE_DUPLICATES RTMAIN_LDFLAGS_OTHER)
endif()

set(RTCONFIG_CFLAGS ${RTCOMMON_CFLAGS}
    ${GMODULE_EXPORT_CFLAGS})
if(RTCONFIG_CFLAGS MATCHES ";")
    list(REMOVE_DUPLICATES RTCONFIG_CFLAGS)
endif()
set(RTCONFIG_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER}
    ${GMODULE_EXPORT_CFLAGS_OTHER})
if(RTCONFIG_CFLAGS_OTHER MATCHES ";")
    list(REMOVE_DUPLICATES RTCONFIG_CFLAGS_OTHER)
endif()
set(RTCONFIG_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS}
    ${GMODULE_EXPORT_INCLUDE_DIRS})
if(RTCONFIG_INCLUDE_DIRS MATCHES ";")
    list(REMOVE_DUPLICATES RTCONFIG_INCLUDE_DIRS)
endif()
set(RTCONFIG_LIBRARIES ${RTCOMMON_LIBRARIES}
    ${GMODULE_EXPORT_LIBRARIES})
if(RTCONFIG_LIBRARIES MATCHES ";")
    list(REMOVE_DUPLICATES RTCONFIG_LIBRARIES)
endif()
set(RTCONFIG_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS}
    ${GMODULE_EXPORT_LIBRARY_DIRS})
if(RTCONFIG_LIBRARY_DIRS MATCHES ";")
    list(REMOVE_DUPLICATES RTCONFIG_LIBRARY_DIRS)
endif()
set(RTCONFIG_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER}
    ${GMODULE_EXPORT_DFLAGS_OTHER})
if(RTCONFIG_LDFLAGS_OTHER MATCHES ";")
    list(REMOVE_DUPLICATES RTCONFIG_LDFLAGS_OTHER)
endif()

# set(CMAKE_REQUIRED_FLAGS "${VTE_CFLAGS_OTHER}")
# set(CMAKE_REQUIRED_INCLUDES "${VTE_INCLUDE_DIRS}")
# set(CMAKE_REQUIRED_LIBRARIES "${VTE_LIBRARIES}")
# set(CMAKE_REQUIRED_LINK_OPTIONS "${VTE_LDFLAGS}")
# check_symbol_exists(vte_terminal_set_handle_scroll vte/vte.h
#     HAVE_VTE_HANDLE_SCROLL)
pkg_get_variable(RT_VTE_LIBDIR vte-2.91 libdir)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/version.h)

add_custom_command(OUTPUT gresources.c
    COMMAND glib-compile-resources
        --target=${CMAKE_CURRENT_BINARY_DIR}/gresources.c --generate-source
        --c-name=roxterm_resource ${CMAKE_CURRENT_SOURCE_DIR}/gresources.xml
        --sourcedir=${CMAKE_CURRENT_SOURCE_DIR}
        MAIN_DEPENDENCY gresources.xml
        DEPENDS icons/roxterm.svg roxterm-config.ui)

add_library(rtlib OBJECT
    colourscheme.c dlg.c dragrcv.c dynopts.c globalopts.c
    gresources.c options.c optsfile.c resources.c rtdbus.c)
target_include_directories(rtlib PRIVATE
    ${RTLIB_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_compile_options(rtlib PRIVATE ${RTLIB_CFLAGS_OTHER})

add_executable(roxterm $<TARGET_OBJECTS:rtlib>
    about.c main.c multitab.c multitab-close-button.c
    multitab-label.c menutree.c optsdbus.c roxterm.c roxterm-regex.c search.c
    session-file.c shortcuts.c uri.c)
add_dependencies(roxterm rtlib)
target_include_directories(roxterm PRIVATE
    ${RTMAIN_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_compile_options(roxterm PRIVATE ${RTMAIN_CFLAGS_OTHER})
target_link_libraries(roxterm ${RTMAIN_LIBRARIES})
target_link_directories(roxterm PRIVATE ${RTMAIN_LIBRARY_DIRS})
target_link_options(roxterm PRIVATE ${RTMAIN_LDFLAGS_OTHER})

add_executable(roxterm-config $<TARGET_OBJECTS:rtlib>
    capplet.c colourgui.c configlet.c getname.c optsdbus.c
    profilegui.c shortcuts.c)
add_dependencies(roxterm-config rtlib)
target_include_directories(roxterm-config PRIVATE
    ${RTCONFIG_INCLUDE_DIRS} ${CMAKE_CURRENT_BINARY_DIR})
target_compile_options(roxterm-config PRIVATE ${RTCONFIG_CFLAGS_OTHER})
target_compile_definitions(roxterm-config PRIVATE -DROXTERM_CAPPLET)
target_link_libraries(roxterm-config ${RTCONFIG_LIBRARIES})
target_link_directories(roxterm-config PRIVATE ${RTCONFIG_LIBRARY_DIRS})
target_link_options(roxterm-config PRIVATE ${RTCONFIG_LDFLAGS_OTHER})

install(TARGETS roxterm roxterm-config
    RUNTIME DESTINATION bin)
install(FILES roxterm-config.ui
    DESTINATION share/roxterm)

=== debian/changelog ===
roxterm (3.10.1-1~antix1) unstable; urgency=medium

  * rebuild for antiX 

 -- anticapitalista <antix@operamail.com>  Mon, 01 Mar 2021 14:46:36 +0200

roxterm (3.10.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Sep 2020 12:01:07 -0700

roxterm (3.10.1-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Use GModule to detect GtkScrolledWindow (kinetic scrolling) support in
      vte at run-time instead of compile-time.
    + Optimise cmake variables obtained from pkg-config.
    + Made default value for word_chars option consistent across terminal and
      config.

 -- Tony Houghton <h@realh.co.uk>  Wed, 25 Jul 2020 14:58:11 +0100

roxterm (3.9.4-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Declare multi_win_get_disable_menu_shortcuts as extern in header
      (fixes github issue #225).
    + Improved link command compatibility in src/CMakeLists.txt.
    + Support kinetic scrolling with libinput if and when vte allows (see
      <https://gitlab.gnome.org/GNOME/vte/-/issues/234>).

 -- Tony Houghton <h@realh.co.uk>  Wed, 27 May 2020 13:58:41 +0100

roxterm (3.9.3-1ppa1focal1) focal; urgency=low

  * New upstream version:
    + Replaced appdata with metainfo (Ewoud Kohl van Wijngaarden)
    + Fixed AppInfo version string

 -- Tony Houghton <h@realh.co.uk>  Sat, 25 Apr 2020 17:22:51 +0100

roxterm (3.9.2-1ppa1eoan1.1) eoan; urgency=low

  * New upstream version (changes by Bert Gijsbers):
    + Document default shortcuts.
    + --geometry supports position.
    + Allow exit action to be overridden on command line.

 -- Tony Houghton <h@realh.co.uk>  Tue, 14 Apr 2020 14:11:59 +0100

roxterm (3.9.1-1ppa1eoan1) eoan; urgency=low

  * New upstream version:
    + Added borderless option (by Bert Gijsbers).
    + Added shortcut to toggle menubar (Bert Gijsbers).
    + Fixed F1 shortcut path.
    + Fixed HTML installation path.

 -- Tony Houghton <h@realh.co.uk>  Fri, 03 Apr 2020 18:04:00 +0200

roxterm (3.8.5-1ppa1eoan1) eoan; urgency=low

  * New upstream version:
    + Filter font chooser to allow only monospace fonts.

 -- Tony Houghton <h@realh.co.uk>  Fri, 27 Mar 2020 21:08:35 +0000

roxterm (3.8.4-1ppa1eoan1) eoan; urgency=medium

  * New upstream version:
    + Use fixed-width tab labels for left/right tabs so that they can display
      more than "..." <https://github.com/realh/roxterm/issues/216>.
    + Removed old debugging spam ("xid can be read").

 -- Tony Houghton <h@realh.co.uk>  Fri, 31 Jan 2020 21:45:05 +0100

roxterm (3.8.3-1ppa1eoan1) eoan; urgency=low

  * New upstream version:
    + Use gtk_widget_class_set_css_name instead of gtk_widget_set_name
      for custom tab label widgets
      <https://github.com/realh/roxterm/issues/214>.

 -- Tony Houghton <h@realh.co.uk>  Mon, 06 Jan 2019 14:47:20 +0000

roxterm (3.8.2-1ppa1disco1) disco; urgency=low

  * New upstream version:
    + Set WINDOWID env variable when running in X (based on PR #212).
    + Updated man page (PR #211).

 -- Tony Houghton <h@realh.co.uk>  Sat, 05 Oct 2019 15:17:20 +0100

roxterm (3.8.1-1ppa1disco1) disco; urgency=medium

  * New upstream version:
    + Add -g alias for --geometry (github PR#209).
    + Support tab position (%t) and total number in window (%n) in window
      titles and tab labels (based on github PR#210).

 -- Tony Houghton <h@realh.co.uk>  Sun, 01 Sep 2019 18:45:46 +0100

roxterm (3.7.5-1ppa1disco1) disco; urgency=medium

  * New upstream version:
    + Use GResources to fix About icon scaling and work without installing.

 -- Tony Houghton <h@realh.co.uk>  Sat, 08 Jun 2019 17:24:11 +0100

roxterm (3.7.4-1ppa1disco1) disco; urgency=medium

  * Updated control fields from SourceForge to github
  * New upstream version:
    + Redesigned icon.
    + Single tabs have a fixed width.
    + Removed rewrap on resize option (deprecated by vte, now always on).
    + Fixed order of General/Command selectors in profile editor.

 -- Tony Houghton <h@realh.co.uk>  Fri, 07 Jun 2019 14:56:11 +0100

roxterm (3.7.3-1ppa1bionic1) bionic; urgency=medium

  * Ensure consistent connection of signal handlers to new tabs. Fixes
    upstream issue <https://github.com/realh/roxterm/issues/198>.

 -- Tony Houghton <h@realh.co.uk>  Fri, 5 Oct 2018 18:08:40 +0100

roxterm (3.7.2-1ppa1bionic1) bionic; urgency=high

  * Fixes serious crashing bug <https://github.com/realh/roxterm/issues/197>.

 -- Tony Houghton <h@realh.co.uk>  Tue, 25 Sep 2018 15:16:00 +0100

roxterm (3.7.1-1ppa1bionic1) bionic; urgency=medium

  * New upstream version:
    + Added cursor foreground colour option.
    + Added Nocturne colour scheme.
    + Removed encoding settings support (deprecated by vte).
    + Removed a few other minor deprecated features.

 -- Tony Houghton <h@realh.co.uk>  Sat, 22 Sep 2018 21:02:37 +0100

roxterm (3.6.2-1ppa1bionic1) bionic; urgency=medium

  * Tabs always expand to fill their bar; this fixes a bug causing the window
    width to be incorrect after unmaximizing.

 -- Tony Houghton <h@realh.co.uk>  Mon, 17 Sep 2018 19:32:16 +0100

roxterm (3.6.1-1ppa1bionic1) bionic; urgency=medium

  * New upstream version with new options:
    + Bold is bright option.
    + Supports blinking text (optional).
    + Line spacing and horizontal spacing options.
    + Tweaked icon to make top bezel look better.
  * Now requires vte >= 0.52

 -- Tony Houghton <h@realh.co.uk>  Sun, 06 May 2018 22:04:41 +0100

roxterm (3.5.2-1) artful; urgency=medium

  * New upstream version:
    + Migrated to github.
    + Use CMake build system.
    + Fixed the geometry bug introduced by GTK 3.20.0.
    + Removed X11-specific code and options and improved Wayland support.
    + Minimum version requirements are now GTK 3.20 and vte 0.48.
    + URI regexes based on gnome-terminal's with simplified launch options.
    + Support explicit hyperlinks.
    + Numerous other fixes and updates.



=== debian/control ===
Source: roxterm
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Tony Houghton <h@realh.co.uk>
Build-Depends: cmake,
               debhelper (>= 10),
               docbook-xsl,
               libdbus-glib-1-dev,
               libgtk-3-dev (>= 3.20.0),
               libpcre2-dev,
               libvte-2.91-dev (>= 0.52),
               xsltproc
Standards-Version: 4.1.1
Homepage: https://github.com/realh/roxterm
Vcs-Git: https://github.com/realh/roxterm.git
Vcs-Browser: https://github.com/realh/roxterm

Package: roxterm-data
Architecture: all
Depends: ${misc:Depends}
Replaces: roxterm-common
Breaks: roxterm-common (<< 3.0.0)
Recommends: dbus-x11, openssh-client, roxterm
Description: Multi-tabbed GTK+/VTE terminal emulator - data files
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains ROXTerm's data files.

Package: roxterm
Architecture: any
Depends: librsvg2-common,
         roxterm-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: roxterm-gtk2 (<< 3.0.0), roxterm-gtk3 (<< 3.0.0)
Breaks: roxterm-gtk2 (<< 3.0.0), roxterm-gtk3 (<< 3.0.0)
Provides: x-terminal-emulator
Description: Multi-tabbed GTK+/VTE terminal emulator - binaries
 ROXTerm is a terminal emulator based on the VTE library. It was originally
 intended to be a lightweight alternative to gnome-terminal, but its role has
 shifted to providing a richer range of features for power users. This package
 contains the compiled programs for ROXTerm.

## roxterm 3.11.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,10 @@
 
 # roxterm and roxterm-config both depend on these
 pkg_check_modules(RTCOMMON REQUIRED
-    gtk+-3.0>=3.20.0 dbus-1>=1.0 dbus-glib-1>=0.22)
+    gtk+-3.0>=3.22.0 dbus-1>=1.0 dbus-glib-1>=0.22)
 
 # roxterm-config needs to export symbols so GtkBuilder can find signal handlers
 pkg_check_modules(GMODULE_EXPORT REQUIRED gmodule-export-2.0)
-
-# roxterm also now uses gmodule, but doesn't need to export its symbols
-pkg_check_modules(GMODULE REQUIRED gmodule-no-export-2.0)
 
 # If VTE >= 0.50 this should include the necessary flags for libpcre
 pkg_check_modules(VTE REQUIRED vte-2.91>=0.52)
@@ -38,39 +35,32 @@
     list(REMOVE_DUPLICATES RTLIB_LDFLAGS_OTHER)
 endif()
 
-set(RTMAIN_CFLAGS ${RTCOMMON_CFLAGS}
-    ${GMODULE_CFLAGS} ${VTE_CFLAGS})
+set(RTMAIN_CFLAGS ${RTCOMMON_CFLAGS} ${VTE_CFLAGS})
 if(RTMAIN_CFLAGS MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_CFLAGS)
 endif()
-set(RTMAIN_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER}
-    ${GMODULE_CFLAGS_OTHER} ${VTE_CFLAGS_OTHER})
+set(RTMAIN_CFLAGS_OTHER ${RTCOMMON_CFLAGS_OTHER} ${VTE_CFLAGS_OTHER})
 if(RTMAIN_CFLAGS_OTHER MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_CFLAGS_OTHER)
 endif()
-set(RTMAIN_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS}
-    ${GMODULE_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
+set(RTMAIN_INCLUDE_DIRS ${RTCOMMON_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
 if(RTMAIN_INCLUDE_DIRS MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_INCLUDE_DIRS)
 endif()
-set(RTMAIN_LIBRARIES ${RTCOMMON_LIBRARIES}
-    ${GMODULE_LIBRARIES} ${VTE_LIBRARIES})
+set(RTMAIN_LIBRARIES ${RTCOMMON_LIBRARIES} ${VTE_LIBRARIES})
 if(RTMAIN_LIBRARIES MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_LIBRARIES)
 endif()
-set(RTMAIN_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS}
-    ${GMODULE_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
+set(RTMAIN_LIBRARY_DIRS ${RTCOMMON_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
 if(RTMAIN_LIBRARY_DIRS MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_LIBRARY_DIRS)
 endif()
-set(RTMAIN_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER}
-    ${GMODULE_DFLAGS_OTHER} ${VTE_DFLAGS_OTHER})
+set(RTMAIN_LDFLAGS_OTHER ${RTCOMMON_DFLAGS_OTHER} ${VTE_DFLAGS_OTHER})
 if(RTMAIN_LDFLAGS_OTHER MATCHES ";")
     list(REMOVE_DUPLICATES RTMAIN_LDFLAGS_OTHER)
 endif()
 
-set(RTCONFIG_CFLAGS ${RTCOMMON_CFLAGS}
-    ${GMODULE_EXPORT_CFLAGS})
+set(RTCONFIG_CFLAGS ${RTCOMMON_CFLAGS} ${GMODULE_EXPORT_CFLAGS})
 if(RTCONFIG_CFLAGS MATCHES ";")
     list(REMOVE_DUPLICATES RTCONFIG_CFLAGS)
 endif()

=== debian/changelog ===
roxterm (3.11.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 28 Jun 2021 14:30:58 -0700

roxterm (3.11.1-1ppa1focal1) focal; urgency=medium

  * New upstream version, closes <https://github.com/realh/roxterm/issues/236>:
    + Made kinetic scrolling optional.
    + Added complementary option to scroll in units of pixels.

 -- Tony Houghton <h@realh.co.uk>  Tue, 18 May 2021 17:20:06 +0100

roxterm (3.10.5-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Fixed issues caused by incorrect initialisation when loading a session
      (upstream github issue #234).
    + Use enable-fallback-scrolling property instead of dynamically finding
      setter with GModule.
  * debian/control: Updated gtk dependency to match previous update of
    CMakeLists.txt.

 -- Tony Houghton <h@realh.co.uk>  Thu, 13 May 2021 14:40:28 +0100

roxterm (3.10.4-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Use EXTERNAL scrollbar policy for "No scrollbar".
    + Minimum GTK version is now 3.22.

 -- Tony Houghton <h@realh.co.uk>  Thu, 30 Apr 2021 18:16:34 +0100

roxterm (3.10.3-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Previous release accidentally had fallback/kinetic scrolling disabled.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Apr 2021 19:00:54 +0100

roxterm (3.10.2-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Use current vte API to enable kinetic scrolling.
    + Always use a GtkScrolledWindow even if scrollbar is invisible
      <https://github.com/realh/roxterm/issues/234>.
    + Changed default keyboard shortcuts for scrolling.

 -- Tony Houghton <h@realh.co.uk>  Thu, 29 Apr 2021 17:58:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                debhelper (>= 10),
                docbook-xsl,
                libdbus-glib-1-dev,
-               libgtk-3-dev (>= 3.20.0),
+               libgtk-3-dev (>= 3.22.0),
                libpcre2-dev,
                libvte-2.91-dev (>= 0.52),
                xsltproc

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/roxterm-$1\.tar\.gz/ \
  https://github.com/realh/roxterm/tags .*/v?(\d\S+)\.tar\.gz,
  pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/realh/roxterm/releases .*/(\d\S+)\.tar\.gz

## roxterm 3.12.1

=== debian/changelog ===
roxterm (3.12.1-1mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 20 Feb 2023 22:19:07 -0500

roxterm (3.12.1-1ppa1focal1) focal; urgency=medium

  * New upstream version:
    + Option to enable Ctrl-Tab keyboard shortcuts,
      <https://github.com/realh/roxterm/issues/243>.
    + Workaround to prevent scrollbar "bouncing" back from bottom due to
      <https://gitlab.gnome.org/GNOME/gtk/-/issues/3752>.

 -- Tony Houghton <h@realh.co.uk>  Wed, 26 Jan 2022 20:46:06 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym
